package com.gci.boot.modules.driver.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gci.boot.modules.driver.vo.DriverUserVo;
import com.gci.boot.modules.driver.entity.TbDriver;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-04
 */
public interface ITbDriverService extends IService<TbDriver> {

	void updateStatus(TbDriver item);

    @Transactional(rollbackFor = Exception.class)
    void addDriverWithUserBatch(List<DriverUserVo> items);

    void addDriverWithUser(DriverUserVo item);

    @Transactional(rollbackFor = Exception.class)
    void editDriverWithUser(DriverUserVo item);

    @Transactional
    void delete(String id);

    IPage<DriverUserVo> pageWithUserInfo(IPage page, Wrapper wrapper);
}
